summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--config/git/revisions7
-rwxr-xr-xscript/build/serprog/rp2040 (renamed from script/build/rp2040/serprog)0
-rwxr-xr-xscript/build/serprog/stm3259
3 files changed, 66 insertions, 0 deletions
diff --git a/config/git/revisions b/config/git/revisions
index e5001699..ed01d20f 100644
--- a/config/git/revisions
+++ b/config/git/revisions
@@ -96,3 +96,10 @@
depend: rpi-pico-sdk
depend: rpi-pico-tinyusb
}
+
+{stm32-vserprog}{
+ rev: 60c6274f7f5d45d01c64b7acdc5b0e4ed71caa96
+ loc: util-fw/stm32-vserprog
+ url: https://codeberg.org/libreboot/stm32-vserprog
+ bkup_url: https://notabug.org/libreboot/stm32-vserprog
+}
diff --git a/script/build/rp2040/serprog b/script/build/serprog/rp2040
index e265cc7a..e265cc7a 100755
--- a/script/build/rp2040/serprog
+++ b/script/build/serprog/rp2040
diff --git a/script/build/serprog/stm32 b/script/build/serprog/stm32
new file mode 100755
index 00000000..8637e292
--- /dev/null
+++ b/script/build/serprog/stm32
@@ -0,0 +1,59 @@
+#!/usr/bin/env sh
+
+# compile the serprog firmware for raspberry pi pico
+#
+# Copyright (C) 2023 Riku Viitanen <riku.viitanen@protonmail.com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+. "include/err.sh"
+
+serprog_release_dir=$(pwd)/bin/serprog_stm32
+src_dir=$(pwd)/util-fw/stm32-vserprog
+
+main()
+{
+ printf "Compiling serprog firmware for STM32\n"
+
+ [ -d "${src_dir}/" ] || ./update project repo stm32-vserprog \
+ || err "fetch stm32-vserprog failed!\n"
+ mkdir -p "${serprog_release_dir}" || \
+ err "can't create dir: ${serprog_release_dir}"
+
+ boards_dir=${src_dir}/boards
+
+ if [ $# -gt 0 ] ; then
+ buildrom "${1}"
+ else
+ basename -a -s .h ${boards_dir}/*.h | while read board ; do
+ buildrom ${board}
+ done
+ fi
+}
+
+# buildrom <board>
+buildrom()
+{
+ board=${1}
+ make -C ${src_dir} BOARD=${board}
+ mv ${src_dir}/stm32-vserprog.hex \
+ ${serprog_release_dir}/serprog_${board}.hex \
+ || err "${board} serprog build failed!"
+}
+
+main $@